> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Organization Insurance Level Choice By Id

> Get German organization insurance level choice by ID.

## Country Specific

<Note>This endpoint is only available for Germany organizations.</Note>


## OpenAPI

````yaml /api-reference/preview.json get /organizations/{organization_id}/insurance-level-choices/{choice_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /organizations/{organization_id}/insurance-level-choices/{choice_id}:
    get:
      tags:
        - Core
        - Organizations
        - Insurance Details
      summary: Get Organization Insurance Level Choice By Id
      description: Get German organization insurance level choice by ID.
      operationId: >-
        get_organization_insurance_level_choice_by_id_organizations__organization_id__insurance_level_choices__choice_id__get
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
        - name: choice_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Choice Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationInsuranceLevelChoiceResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    OrganizationInsuranceLevelChoiceResponse:
      properties:
        id:
          type: string
          title: Id
        agency_id:
          type: string
          title: Agency Id
        compensation_levy_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Compensation Levy Id
        org_id:
          type: string
          title: Org Id
      additionalProperties: true
      type: object
      required:
        - id
        - agency_id
        - compensation_levy_id
        - org_id
      title: OrganizationInsuranceLevelChoiceResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````